Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029432
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 04. Warehouse managementmajoralways2015-03-26 12:262015-04-01 08:31
ReporterumartirenaView Statuspublic 
Assigned Toumartirena 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision5ca3e211bea2
ProjectionnoneETAnoneTarget Version3.0PR15Q1.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029432: [Cost Adjustment] Net Unit Price in Costing tab is not being properly calculated in certain cases

DescriptionNet Unit Price in Costing tab is not being properly calculated in certain cases. There is a case in which this value is being set equals to cost, and this is wrong.
Steps To ReproduceRun testCostingAAA() test.

As QA Testing Admin.
Go to Product window and select the product just created.
Go to Costing tab.
Realize that in the second Costing record the Net Unit Price is 68.00, when it should be 80.00 (150 * 70 + 1500) / 150.



TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00294303.0PR15Q2 closedumartirena [Cost Adjustment] Net Unit Price in Costing tab is not being properly calculated in certain cases 

-  Notes
(0076130)
hgbot (developer)
2015-03-30 12:08

Repository: erp/backports/3.0PR15Q1.2
Changeset: 5ca3e211bea2defd28a22e528918190fb5b4838a
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Mon Mar 30 11:19:36 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.2/rev/5ca3e211bea2defd28a22e528918190fb5b4838a [^]

Fixes bug 29432: Net Unit Price in Costing is properly calculated

Using Cost Adjustments the Net Unit Price of a product on a transaction could be affected with those. Starting from now the Net Unit Price assigned in Costing tab is going to take into account the Cost Adjustments of type Unit Cost.

So the calculation would be: ((originalPrice * qty) + adjustmentsAmount) / qty.

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0076131)
aferraz (developer)
2015-03-30 12:11

Code review + Testing OK
(0076245)
hgbot (developer)
2015-04-01 08:11

Repository: erp/backports/3.0PR15Q2
Changeset: 5ca3e211bea2defd28a22e528918190fb5b4838a
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Mon Mar 30 11:19:36 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2/rev/5ca3e211bea2defd28a22e528918190fb5b4838a [^]

Fixes bug 29432: Net Unit Price in Costing is properly calculated

Using Cost Adjustments the Net Unit Price of a product on a transaction could be affected with those. Starting from now the Net Unit Price assigned in Costing tab is going to take into account the Cost Adjustments of type Unit Cost.

So the calculation would be: ((originalPrice * qty) + adjustmentsAmount) / qty.

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0076246)
priyam (administrator)
2015-04-01 08:31

closed again, as the status changed due the merge tag of 3.0PR15Q1.2 to backports/3.0PR15Q2

- Issue History
Date Modified Username Field Change
2015-03-26 12:27 umartirena Type defect => backport
2015-03-26 12:27 umartirena Target Version => 3.0PR15Q1.2
2015-03-30 12:08 hgbot Checkin
2015-03-30 12:08 hgbot Note Added: 0076130
2015-03-30 12:08 hgbot Status scheduled => resolved
2015-03-30 12:08 hgbot Resolution open => fixed
2015-03-30 12:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q1.2/rev/5ca3e211bea2defd28a22e528918190fb5b4838a [^]
2015-03-30 12:11 aferraz Review Assigned To => aferraz
2015-03-30 12:11 aferraz Note Added: 0076131
2015-03-30 12:11 aferraz Status resolved => closed
2015-03-30 12:37 aferraz Assigned To Sandrahuguet => umartirena
2015-04-01 08:11 hgbot Checkin
2015-04-01 08:11 hgbot Note Added: 0076245
2015-04-01 08:11 hgbot Status closed => resolved
2015-04-01 08:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR15Q1.2/rev/5ca3e211bea2defd28a22e528918190fb5b4838a [^] => http://code.openbravo.com/erp/backports/3.0PR15Q2/rev/5ca3e211bea2defd28a22e528918190fb5b4838a [^]
2015-04-01 08:31 priyam Status resolved => closed
2015-04-01 08:31 priyam Note Added: 0076246


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker